package cn.com.qmth.stmms.biz.common.domain.card;

import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import com.fasterxml.jackson.annotation.JsonProperty;

import java.util.Collections;
import java.util.List;

@JsonIgnoreProperties(ignoreUnknown = true)
public class FillLocator {

    @JsonProperty("area")
    private double[] area;

    @JsonProperty("dot_num")
    private int dotNum;

    @JsonProperty("dots")
    private List<double[]> dots = Collections.emptyList();

    @JsonProperty("horizontal")
    private boolean horizontal;

    public double[] getArea() {
        return area;
    }

    public void setArea(double[] area) {
        this.area = area;
    }

    public int getDotNum() {
        return dotNum;
    }

    public void setDotNum(int dotNum) {
        this.dotNum = dotNum;
    }

    public List<double[]> getDots() {
        return dots;
    }

    public void setDots(List<double[]> dots) {
        this.dots = dots;
    }

    public boolean isHorizontal() {
        return horizontal;
    }

    public void setHorizontal(boolean horizontal) {
        this.horizontal = horizontal;
    }
}
